Bug 653056 - [abrt] fslint-2.42-1.fc14: fslint-gui:1512:select_using_wildcard:ValueError: need more than 1 value to unpack
Summary: [abrt] fslint-2.42-1.fc14: fslint-gui:1512:select_using_wildcard:ValueError: ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fslint
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:06a3a7ff
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 10:08 UTC by Richard Ruhland
Modified: 2012-08-20 02:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:10:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (581 bytes, text/plain)
2010-11-14 10:08 UTC, Richard Ruhland
no flags Details

Description Richard Ruhland 2010-11-14 10:08:25 UTC
abrt version: 1.1.13
architecture: i686
cmdline: python /usr/bin/fslint-gui
component: fslint
executable: /usr/bin/fslint-gui
kernel: 2.6.35.6-48.fc14.i686.PAE
package: fslint-2.42-1.fc14
reason: fslint-gui:1512:select_using_wildcard:ValueError: need more than 1 value to unpack
release: Fedora release 14 (Laughlin)
time: 1289729272
uid: 500

backtrace
-----
fslint-gui:1512:select_using_wildcard:ValueError: need more than 1 value to unpack

Traceback (most recent call last):
  File "/usr/bin/fslint-gui", line 1504, in on_unselect_using_wildcard_activate
    self.select_using_wildcard(False)
  File "/usr/bin/fslint-gui", line 1512, in select_using_wildcard
    (response, wildcard) = self.msgbox(_("wildcard:"), ('Cancel', 'Ok'))
ValueError: need more than 1 value to unpack

Local variables in innermost frame:
self: <__main__.fslint instance at 0xa1fedac>
clist: <gtk.CList object at 0xa20a7fc (GtkCList at 0xa2eb250)>
select: False

Comment 1 Richard Ruhland 2010-11-14 10:08:28 UTC
Created attachment 460346 [details]
File: backtrace

Comment 2 Pádraig Brady 2010-11-15 12:48:26 UTC
I think that's fixed by:
http://code.google.com/p/fslint/source/detail?r=261
which was caused by an invalid translation from launchpad.

For an immediate fix for you, you could install the latest like:

svn checkout http://fslint.googlecode.com/svn/trunk/ fslint-2.43
tar -czf fslint-2.43.tar.gz --exclude=.svn fslint-2.43
rpmbuild -ta fslint-2.43.tar.gz
sudo rpm -Uvh ~/rpmbuild/RPMS/noarch/fslint-2.43-1.noarch.rpm

cheers,
Pádraig.

Comment 3 Fedora End Of Life 2012-08-16 22:10:44 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.